Oauth Code
The oauth code resource.
Basehttps://rest.carbon.ms/oauthCode
GET
/oauthCodeList oauth codes
Retrieve a paginated list of oauth codes. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/oauthCode
curl --request GET \
--url 'https://rest.carbon.ms/oauthCode?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"code": "string",
"clientId": "xyz789",
"userId": "xyz789",
"companyId": "xyz789",
"redirectUri": "string",
"expiresAt": "2026-01-01T00:00:00Z",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/oauthCodeRetrieve a oauth code
Fetch a single oauth code by filtering on `id`.
Query parameters
idstringMatch on the oauth code's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/oauthCode
curl --request GET \
--url 'https://rest.carbon.ms/oauthCode?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"code": "string",
"clientId": "xyz789",
"userId": "xyz789",
"companyId": "xyz789",
"redirectUri": "string",
"expiresAt": "2026-01-01T00:00:00Z",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/oauthCodeCreate a oauth code
Create a new oauth code.
Body parameters
codestringrequiredclientIdstringrequiredReferences oauthClient.clientId
userIdstringrequiredReferences user.id
companyIdstringrequiredReferences company.id
redirectUristringrequiredexpiresAttimestamprequiredPOSThttps://rest.carbon.ms/oauthCode
curl --request POST \
--url https://rest.carbon.ms/oauthCode \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"code":"string","clientId":"xyz789","userId":"xyz789","companyId":"xyz789","redirectUri":"string","expiresAt":"2026-01-01T00:00:00Z"}'Response
{
"id": "abc123def456",
"code": "string",
"clientId": "xyz789",
"userId": "xyz789",
"companyId": "xyz789",
"redirectUri": "string",
"expiresAt": "2026-01-01T00:00:00Z",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/oauthCodeUpdate a oauth code
Update an existing oauth code, matched on `id`.
Body parameters
codestringrequiredclientIdstringrequiredReferences oauthClient.clientId
userIdstringrequiredReferences user.id
companyIdstringrequiredReferences company.id
redirectUristringrequiredexpiresAttimestamprequiredPATCHhttps://rest.carbon.ms/oauthCode
curl --request PATCH \
--url 'https://rest.carbon.ms/oauthCode?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"code":"string"}'Response
{
"id": "abc123def456",
"code": "string",
"clientId": "xyz789",
"userId": "xyz789",
"companyId": "xyz789",
"redirectUri": "string",
"expiresAt": "2026-01-01T00:00:00Z",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/oauthCodeDelete a oauth code
Delete a oauth code, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the oauth code to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/oauthCode
curl --request DELETE \
--url 'https://rest.carbon.ms/oauthCode?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content